#import <appkit/Application.h>
#import <appkit/graphics.h>
#import <dpsclient/dpsclient.h>

@interface MovieApp:Application
{
    id	frameSlider;
    id	frequencySlider;
    id	directionButton;
    id	goStopButton;
    id	edgeMatrix;
    id  controlPanel;
    id  infoPanel;
    id	timer;
}

- setFrameSlider:anObject;
- setFrequencySlider:anObject;
- setDirectionButton:anObject;
- setGoStopButton:anObject;
- setEdgeMatrix:anObject;
- setControlPanel:anObject;
- setInfoPanel:anObject;
- appDidInit:sender;
- mkofInfoPanel:sender;
- mkofControlPanel:sender;
- updateFrameSlider;
- windowDidResignMain:sender;
- windowDidBecomeMain:sender;
- (BOOL)appAcceptsAnotherFile:sender;
- (int)appOpenFile: (const char *)filename type: (const char *)aType;
- (NXRect *)nextRectForWidth:(NXCoord)width Height:(NXCoord)height;
- open:sender;
- showFrame:sender;
- changeFrequency:sender;
- toggleGoStop:sender;
- tickTock:sender;

@end
